#include "src/include.h"

/*--------------------------------------------------------*/
/* Calculation of the observables in the Standard Model   */
/*--------------------------------------------------------*/

int main(int argc,char** argv)
{ 
	struct relicparam paramrelic;
	double eta,H2_H,He3_H2,Yp,Li7_H,Li6_Li7,Be7_H;

	if(argc<2) 
  	{ 
    		printf(" This program needs 1 parameter:\n"
           	"   eta    value of the baryon-to-photon ratio\n");
      		exit(1); 
  	} 
	else 
  	{
  		sscanf(argv[1],"%lf",&eta);
  	}
	
	Init_cosmomodel(&paramrelic);	
	Init_cosmomodel_param(eta,3.,&paramrelic);
	
	nucl(&paramrelic,&eta,&H2_H,&He3_H2,&Yp,&Li7_H,&Li6_Li7,&Be7_H);
	
	printf("Yp\t\t H2/H\t\t He3/H2\t\t Li7/H\t\t Li6/Li7\t Be7/H\n");
	printf("%.3e\t %.3e\t %.3e\t %.3e\t %.3e\t %.3e\n",Yp,H2_H,He3_H2,Li7_H,Li6_Li7,Be7_H);

	int compat=bbn_excluded(&paramrelic);

	if(compat==1) printf("Excluded by BBN constraints\n");
	else if(compat==0) printf("Compatible with BBN constraints\n");
	else printf("Computation failed\n");

	return 1;
}
